package errors

import "errors"

var (
	ErrNotFound                = errors.New("not found")
	ErrUserNotFound            = errors.New("user not found")
	ErrInvalidEmail            = errors.New("invalid email")
	ErrInvalidCredentials      = errors.New("invalid credentials: unauthorized")
	ErrAlreadyVerified         = errors.New("user is already verified")
	ErrTokenNotFound           = errors.New("verification token not found")
	ErrTokenNotSet             = errors.New("verification token has not been set")
	ErrNoData                  = errors.New("no data provided")
	ErrNoRowsAffected          = errors.New("no rows affected")
	ErrValueTooLong            = errors.New("cookie value too long")
	ErrInvalidValue            = errors.New("invalid cookie value")
	ErrInvalidSigningAlgorithm = errors.New("invalid signing algorithm")
	ErrValidToken              = errors.New("valid token")
	ErrInvalidUserData         = errors.New("invalid user data")
	ErrDuplicateEntry          = errors.New("duplicate entry; unique constraint failed")
)
